Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Class WebServiceLegalHelper

    java.lang.Object
      |
      +--weblogic.management.configuration.WebServiceLegalHelper

public final class WebServiceLegalHelper
extends java.lang.Object

A Helper class to verify that configured webservice values are legal.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`WebServiceLegalHelper()`

Method Summary
`static boolean` | `isUnownedByOthers(WSReliableDeliveryPolicyMBean currentPolicy, WebLogicObjectName storeObjectName)` A Helper method to verify that the new JMS store for a web service reliable delivery policy is not in use by another policy, a JMSServer on a different server, or a JMS server that is on the same server but is not qualified to host the internal queues for reliable delivery (e.g, a JMS server that is targeted to a MigrableTarget).
`static boolean` | `storeIsValid(ServerMBean currentServer, WebLogicObjectName policyObjectName)` A Helper method to verify that the Reliable Delivery Policy is valid on a given server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebServiceLegalHelper

    public WebServiceLegalHelper()

Method Detail

### isUnownedByOthers

    public static boolean isUnownedByOthers(WSReliableDeliveryPolicyMBean currentPolicy,
                                            WebLogicObjectName storeObjectName)

  A Helper method to verify that the new JMS store for a web service reliable delivery policy is not in use by another policy, a JMSServer on a different server, or a JMS server that is on the same server but is not qualified to host the internal queues for reliable delivery (e.g, a JMS server that is targeted to a MigrableTarget).

  Parameters:
    `currentPolicy` - the policy that uses the store
    `storeObjectName` - the store that is evaluated
  Returns:
    true if the store is not used by others false if otherwise

### storeIsValid

    public static boolean storeIsValid(ServerMBean currentServer,
                                       WebLogicObjectName policyObjectName)

  A Helper method to verify that the Reliable Delivery Policy is valid on a given server.

  Parameters:
    `currentPolicy` - the policy that uses the store
    `storeObjectName` - the store that is evaluated
  Returns:
    true if the store is not used by others false if otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD